TelepathyQt4: ChannelDetails Struct Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelDetails Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- QDBusObjectPath channel
- QVariantMap properties

## Detailed Description

Structure type generated from the specification.

Enough details of a channel that clients can work out how to dispatch or handle it.

## Member Data Documentation

QDBusObjectPath channel

The object path of the channel.

QVariantMap properties

Properties of the channel.

Connection managers MUST NOT include properties in this mapping if their values can change. Clients MUST ignore properties that appear in this mapping if their values can change.

<tp:rationale>

If properties that could change were included, the following race condition would be likely to exist in some cases:

- NewChannels or Get("Channels") includes a property P with value V1
- Client creates a proxy object for the channel
- The value of P changes to V2
- Client connects to PChanged signal
- Client should call Get("P") or GetAll here, to avoid the race, but client's author has forgotten to do so
- Proxy object thinks P == V1, but actually P == V2

We've taken the opportunity to make the API encourage the client author to get it right. Where possible, we intend that properties whose value will be used in channel dispatching or other "early" processing will be defined so that they are immutable (can never change). </tp:rationale>

Each dictionary MUST contain the keys <tp:dbus-ref>org.freedesktop.Telepathy.Channel.ChannelType</tp:dbus-ref>, <tp:dbus-ref>org.freedesktop.Telepathy.Channel.TargetHandleType</tp:dbus-ref>, <tp:dbus-ref>org.freedesktop.Telepathy.Channel.TargetHandle</tp:dbus-ref>, <tp:dbus-ref>org.freedesktop.Telepathy.Channel.TargetID</tp:dbus-ref> and <tp:dbus-ref>org.freedesktop.Telepathy.Channel.Requested</tp:dbus-ref>.

<tp:rationale>

We expect these to be crucial to the channel-dispatching process. </tp:rationale>